ScheduledMessages
List scheduled messages
Returns a paginated list of scheduled messages, optionally filtered by status. Use this endpoint to list scheduled messages through the Samva email API.
Returns a paginated list of scheduled messages, optionally filtered by status.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
status?|null
page?string|null
limit?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/messages/scheduled"{ "items": [ { "id": "string", "status": "pending", "scheduledFor": "string", "timezone": "string", "send": { "conversationId": "string", "metadata": {}, "channel": "email", "to": [ { "contactId": "string" } ], "cc": [ { "contactId": "string" } ], "bcc": [ { "contactId": "string" } ], "from": { "email": "string", "name": "string" }, "email": { "subject": "string", "html": "string", "text": "string", "attachments": [ { "filename": "string", "content": "string", "mediaId": "string", "contentType": "string", "size": 1 } ], "publicationId": "string", "inputContractId": "string", "templateId": "string", "templateSlug": "string", "templateData": {}, "inReplyToMessageId": "string", "replyTo": [ "string" ], "unsubscribeGroupId": "string", "tracking": { "opens": true, "clicks": true }, "footer": { "enabled": true } } }, "messageId": "string", "idempotencyKey": "string", "referenceId": "string", "failureReason": "string", "attempts": 0, "createdBy": "string", "actorEmail": "string", "memberRole": "string", "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}Get a scheduled message
Returns a single scheduled message by its ID. Use this endpoint to get a scheduled message through the Samva email API.
Resume a review-paused scheduled message
Explicitly resumes a scheduled message after onboarding review clearance. An overdue message requires either send_now or a new future scheduledFor value.